Name: coconut-svsm
Version: 0^20230809g2d1cf90
Release: %autorelease
Summary: The Coconut Secure VM Service Module for AMD SEV-SNP

License: MIT
URL: https://github.com/coconut-svsm/coconut
Source0: file://./coconut-svsm-2d1cf90.tar.xz

# no patches at the moment

BuildRequires: binutils
BuildRequires: curl
BuildRequires: gcc
BuildRequires: git
BuildRequires: make

%description
Secure Virtual machine Service Module for use in
confidenial VMs based on AMD SEV-SNP memory encryption.
This is the Coconut SVSM implementation.


%global debug_package %{nil}

%prep
%autosetup -S git -v -n coconut-svsm -D


%build

# Default flags interfere with svsm build
unset CFLAGS
unset CCFLAGS
unset LDFLAGS

# install Rust
set -o pipefail

curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh /dev/fd/0 \
  -y \
  --target x86_64-unknown-none \
  -c rust-src \
  --default-toolchain nightly
source "${HOME}/.cargo/env"

make

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
install \
  -m 444 \
  svsm.bin \
  %{buildroot}%{_datadir}/%{name}/coconut-svsm.bin


%files
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/coconut-svsm.bin


%changelog
* Wed Aug 9 2023 Oliver Steffen <osteffen@redhat.com> - 0.0.1
- Initial version of the package
